SHEBANG
# Copyright (C) @BABOLO  2003 Jan 15
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
#
# $Id: addon-win.m4,v 1.1 2003/05/03 03:59:23 babolo Exp $

JNTROSTUP(,,dnl
,dnl
# jailup apache-ssl-win <dirlist>
#     where dir relative to ${JAILRODIR}dnl
,TESTADMINdnl
)

for jdir in "$@"; do
    conf_dir="${JAILRODIR}/${jdir}"
    ${mkdir} "${conf_dir}/apache"
    cf="apache/httpd.conf"; if  [ -e "${conf_dir}/${cf}" ]; then cf="${cf}.sample"; fi
    ${cp} -f "${TEMPLATE}-win" "${conf_dir}/${cf}"
    cf="apache/magic"; if  [ -e "${conf_dir}/${cf}" ]; then cf="${cf}.sample"; fi
    ${cp} -f "${TEMPLATE}-magic-win" "${conf_dir}/${cf}"
    cf="apache/mime.types"; if  [ -e "${conf_dir}/${cf}" ]; then cf="${cf}.sample"; fi
    ${cp} -f "${TEMPLATE}-mime-win" "${conf_dir}/${cf}"

    ${mtree} -Ueqxp "${conf_dir}" << "EOF"
/set type=file uname=root gname=wheel mode=0644 flags=none
.			type=dir mode=0755
    apache		type=dir mode=0755
        httpd.conf
        magic
        mime.types
    ..
..
EOF
done
